{
  pkgs,
  lib,
  config,
  ...
}: let
  program = "nh";
  cfg = config.dots.${program};
  home_dir = config.home.homeDirectory;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {
    programs.${program} = {
      enable = true;
      flake = "${home_dir}/.nix";
    };

    # add deps to userspace cause they are cool
    home.packages = with pkgs; [nix-output-monitor nvd];
  };
}
